Bug 1131433 - Warnings in meld output.
Summary: Warnings in meld output.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-19 09:37 UTC by Lukas Slebodnik
Modified: 2014-09-30 01:59 UTC (History)
4 users (show)

Fixed In Version: meld-3.11.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 01:59:34 UTC


Attachments (Terms of Use)
screenshot (93.93 KB, image/png)
2014-08-19 09:37 UTC, Lukas Slebodnik
no flags Details

Description Lukas Slebodnik 2014-08-19 09:37:07 UTC
Created attachment 928257 [details]
screenshot

Description of problem:
If meld is executed from command line (e.g. in git diretory) there is a lot of warnings in terminal.

** (meld:7592): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
/usr/bin/meld:176: PyGIDeprecationWarning: Since version 3.11, calling threads_init is no longer needed. See: https://wiki.gnome.org/PyGObject/Threading
  GObject.threads_init()
/usr/lib/python2.7/site-packages/meld/meldwindow.py:158: Warning: The property GtkMisc:xalign is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.menubar = self.ui.get_widget('/Menubar')
/usr/lib/python2.7/site-packages/meld/meldwindow.py:158: Warning: The property GtkSettings:gtk-menu-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.menubar = self.ui.get_widget('/Menubar')
/usr/lib/python2.7/site-packages/meld/ui/gnomeglade.py:45: Warning: The property GtkToolButton:stock-id is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.builder.add_objects_from_file(filename, objects)
/usr/lib/python2.7/site-packages/meld/ui/gnomeglade.py:45: Warning: The property GtkTreeView:rules-hint is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.builder.add_objects_from_file(filename, objects)
/usr/lib/python2.7/site-packages/meld/ui/gnomeglade.py:45: Warning: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.builder.add_objects_from_file(filename, objects)
/usr/lib/python2.7/site-packages/meld/ui/gnomeglade.py:45: Warning: The property GtkWidget:margin-right is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.builder.add_objects_from_file(filename, objects)
/usr/lib/python2.7/site-packages/meld/ui/gnomeglade.py:45: Warning: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.builder.add_objects_from_file(filename, objects)
/usr/lib/python2.7/site-packages/meld/ui/gnomeglade.py:45: Warning: The property GtkImage:stock is deprecated and shouldn't be used anymore. It will be removed in a future version.
  self.builder.add_objects_from_file(filename, objects)

Version-Release number of selected component (if applicable):
rpm -q meld
meld-3.11.1-2.fc21.noarch

How reproducible:
deterministic

Steps to Reproduce:
1. run command in any git directory
   git difftool --tool=meld HEAD~1..HEAD~0
2. type 'Y' for launching meld

Actual results:
See attached screenschot

Expected results:
I appreciate if output will be at least similar to the version from fedora 20.
As you can see, it is difficult to see which line is newly added.

Comment 1 Mads Kiilerich 2014-09-12 00:30:28 UTC
related:
https://www.bountysource.com/issues/1423160-meld-spits-scary-warnings-on-startup
https://www.bountysource.com/issues/1428842-more-deprecation-warnings

I made a local build with a trivial upgrade to meld-3.11.3. I think it partly solves this issue by giving less warnings ... and it is useable!
3.11.1 started up in a small window every time - 3.11.3 remembers the last size and can thus start up in a useful size.
3.11.1 did not show color highlighting of diff chunks - 3.11.3 do.

Comment 2 Fedora Update System 2014-09-12 12:00:29 UTC
meld-3.11.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/meld-3.11.3-1.fc21

Comment 3 Fedora Update System 2014-09-12 17:47:36 UTC
Package meld-3.11.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing meld-3.11.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10774/meld-3.11.3-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-20 06:16:03 UTC
meld-3.11.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/meld-3.11.4-1.fc21

Comment 5 Fedora Update System 2014-09-30 01:59:34 UTC
meld-3.11.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.